package org.securedroneid.android.data;

public class Link extends MessageData{

    private byte[] publicKey;

    public Link() {
        super();
    }

    public void setPublicKey(byte[] publicKey) {
        this.publicKey = publicKey;
    }

    public byte[] getPublicKey() {
        return publicKey;
    }

    public String getPublicKeyAsString() {
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < publicKey.length; i++) {
            sb.append(String.format("%02X ", publicKey[i]));
        }
        return sb.toString();
    }
}
